Modify

#681 closed defect (obsolete)

bitlbee not recognising when yahoo is disconnected

Reported by: bitlbee@… Owned by: wilmer
Priority: normal Milestone:
Component: Yahoo Version: 1.2.7
Keywords: Cc:
IRC client+version: irssi 0.8.12-7 Operating System: Linux
OS version/distro: debian stable (lenny), backported bitlbee 1.2.7-1~bpo50+1

Description

I am connected to 2 Yahoo accounts, 2 msn accounts, 1 icq account, 1 gtalk account and 1 aol account. When my wifi breaks (as it does frequently) all but yahoo will go off pretty much immediately, and when the wifi comes back after a few minutes, they will reconnect correctly according to how I have them configured. Yahoo is configured to auto connect and auto reconnect, but it doesn't respond to the break in the connection, and after the connection it does not refresh, so some buddies can join or leave during the break and not be registered. Currently I simply cycle account # off/on manually to refresh.

Here's the settings for the Yahoo accounts as per "account set #"

21:37 <@jpinx> account set 0

21:37 <@root> auto_connect = `1'

21:37 <@root> auto_reconnect = `on'

21:37 <@root> nick_source = `handle'

21:37 <@root> password is empty

21:37 <@root> username = `-hidden-by-me-'

21:37 <@root> mail_notifications = `false'

21:37 <@root> away = `Please leave a message'

21:37 <@root> status is empty

and

21:39 <@jpinx> account set 4

21:39 <@root> auto_connect = `1'

21:39 <@root> auto_reconnect = `true'

21:39 <@root> nick_source = `handle'

21:39 <@root> password is empty

21:39 <@root> username = `-hidden-by-me-'

21:39 <@root> mail_notifications = `false'

21:39 <@root> away = `Leave a note'

21:39 <@root> status = `Please_leave_a_message'

Attachments (0)

Change History (4)

comment:1 Changed at 2010-09-26T15:55:57Z by Whoopi

Maybe as an addition to this: This bug also affects then current release 1.2.8 of bitlbee (using weechat 0.3.3 on debian lenny)!

comment:2 Changed at 2010-10-02T23:35:47Z by anonymous

Not sure if this is related.. If someone tries to add my yahoo ID to their MSN list, I get the usual request which offers yes/no to allow them. If I say no (and sdd them to my msn instead) they continue to appear in my qlist. 06:30 <@root> 4, yahoo(my_nick): The user someone_who_added_me@… wants to add you to his/her buddy list. I have to log into Yahoo from some other client to reject it and the query is deleted.

If this is a separate issue I will start a new bug for you.

Thanks

comment:3 Changed at 2010-10-02T23:43:40Z by anonymous

Sorry . that wasn't anonymous - it was me ;) jpinx, who wrote the original bug...

comment:4 Changed at 2016-09-25T04:49:37Z by dx

Resolution: obsolete
Status: newclosed

Closing all yahoo tickets, the old yahoo protocol is dead.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.